##  Some definitions and imports for RedModRphree

### Marco De Lucia, delucia@gfz-potsdam.de, 2009-2018
### Time-stamp: "Last modified 2018-05-03 17:37:43 delucia"

##' @import phreeqc mgcv plyr data.table
##' @import graphics caret randomForest
NULL

##' Display a message prepending the name of the calling function
##' 
##' @title Display a message prepending the name of the calling function
##' @param ... Objects coercibles as "character" which will get pasted into the message
##' @return invisible()
##' @export
##' @author MDL
msg <- function(...) {
    fname <- as.list(sys.call(-1))[[1]]
    prefix <- paste0("::", fname,"::")
    cat(paste(prefix, ..., "\n"))
    invisible()
}

##' Display a stop message prepending the name of the calling function
##' 
##' @title Display a stopping message prepending the name of the calling function
##' @param ... Objects coercibles as "character" which will get pasted into the message
##' @return invisible()
##' @export
##' @author MDL
stopmsg <- function(...) {
    fname <- as.list(sys.call(-1))[[1]]
    prefix <- paste0("::", fname,"::")
    stop(paste(prefix, ..., "\n"))
}
