# RedModRphree #

This package serves as test bed for the developments about surrogate
models and reactive transport in the framework of the RedMod project.

### Installation ###

In R, the quickest way is to install the package `devtools` and
install RedModRphree directly from this repository:

```
library(devtools)
install_gitlab("delucia/RedModRphree", host="https://git.gfz-potsdam.de")
```
To install in a specific directory (which R must know about, e.g.,
specifying the variable R_LIBS_USER in the file `$HOME/.Renviron`: 

```shell
R_LIBS_USER="~/MyRPackageDir"
```
then:
```
devtools::install_gitlab("delucia/RedModRphree", host="https://git.gfz-potsdam.de", lib="~/MyRPackageDir")
```
This should (hopefully) take care of all dependencies.

### Usage ###

In your R session, just type:

```
library(RedModRphree) ## loads package and dependencies

```
There are a bunch of demo scripts and datasets provided by the package:

```
demo(package="RedModRphree") ## displays a list of available demo scripts


## CAUTION: these take 1-2 minutes each
## some (hopefully platform-independent) parallelization is activated by default
demo("demo-equilibrium",package="RedModRphree") 
demo("demo-kinetics",package="RedModRphree") 

## CAUTION: these take 2-3 minutes each!
demo("demo-eq-surr-RF",package="RedModRphree") 
demo("demo-kin-surr",package="RedModRphree") 

## Instructions to obtain the code to the gmd2020-445 paper submitted to Geoscientific Model Development
demo("demo-gmd2020-445",package="RedModRphree") 
```
