% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Rphree_Kinetics.R
\name{DistributeKin}
\alias{DistributeKin}
\title{Distribute properties in an input buffer, KINETICS case}
\usage{
DistributeKin(input, prop = NULL, values, ident = "-m0")
}
\arguments{
\item{input}{The initial input buffer.}

\item{prop}{The property whose values need to be distributed.}

\item{values}{The numerical value(s) to distribute across the
SOLUTIONS/KINETICS blocks.}

\item{ident}{The identifier for the line where the actual values will be pasted, defaults to "-m"}
}
\value{
A new input buffer
}
\description{
Function to distribute different values of one property
(concentration, temperature, mineral phase,\dots) properties in an
input buffer, special kinetics case.
}
\details{
The number of SOLUTIONs in the input buffer must be 1 or equal to
length(values). If the input buffer contains only one SOLUTION,
and length(values)>1, then the new input gets automatically
replicated length(values) times by RepSol.
}
\author{
MDL
}
