% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Rphree_ReactTrans.R
\name{ReactTranspBalanceEq}
\alias{ReactTranspBalanceEq}
\title{1D Reactive transport simulations using phreeqc or a
    surrogate, equilibrium simulations}
\usage{
ReactTranspBalanceEq(
  setup,
  init,
  maxtime,
  step = c("time", "iter", "fix_dt"),
  db = "phreeqc.dat",
  procs = 1,
  maxsim = 150,
  reduce = TRUE,
  ebreak = FALSE,
  writeout = FALSE,
  surrogate = FALSE,
  surrogate.FUN,
  model,
  baleq,
  tol = 1e-09,
  call_pqc = TRUE
)
}
\arguments{
\item{setup}{a list with several input parameters}

\item{init}{optional, initial state of the simulation}

\item{maxtime}{depending on \code{step}, the simulation time}

\item{step}{one of c("time","iter","fix_dt"), defines the time
stepping}

\item{db}{the chemical database}

\item{procs}{number of processors to be used in parallel execution}

\item{maxsim}{number of simulations above which parallelization is
triggered}

\item{reduce}{logical, defaults to TRUE. Should we find the unique
occurences of a geochemical problem?}

\item{ebreak}{logical, defaults to FALSE. If TRUE, an early break
is invoked}

\item{writeout}{logical, defaults to FALSE.}

\item{surrogate}{logical, defaults to FALSE. Should we use
surrogates instead of phreeqc?}

\item{surrogate.FUN}{The function which calls the surrogate}

\item{model}{The list of surrogate models, one element per
variable}

\item{baleq}{data structure containing the balance equations}

\item{tol}{absolute tolerance on the mass balance}

\item{call_pqc}{logical, defaults to TRUE: if TRUE, calls phreeqc
on the surrogate simulations which trespass the tolerance}
}
\value{
a list containing lots of stuff
}
\description{
TODO
}
\author{
MDL
}
