% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Rphree_Kinetics.R
\name{RunPQC}
\alias{RunPQC}
\title{Run the generated input buffer using phreeqc}
\usage{
RunPQC(input, procs = 1, second = TRUE)
}
\arguments{
\item{input}{The input buffer, or list of inputs}

\item{procs}{the number of processes to employ}

\item{second}{logical, if TRUE skips each odd row}
}
\value{
a data.frame containing the SELECTED_OUTPUT, ordered if
    multiple parallel simulations were called. Some manipulations
    of the colnames are also made.
}
\description{
This function just runs the generated input buffer - or a list
thereof - through \code{phreeqc}. Obviously it requires the
\code{phreeqc} package. Also the database must be previously and
explicitely loaded by the user using
\code{phreeqc::phrLoadDatabaseString(db <-
RPhreeFile("phreeqc.dat", is.db=TRUE ))}
}
\details{
Currently parallelization is achieved using
\code{parallel::parLapply}, this can change in the future. At the
moment the function doesn't check that the SELCTED_OUTPUT block is
well-formed, so this is responsibility of the user.
}
\author{
MDL
}
